%define upstream_name    App-rshasum
%define upstream_version 0.8.0

%{?perl_default_filter}

Name:       rshasum
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Recursive shasum
License:    MIT
Group:      File tools
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/S/SH/SHLOMIF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest)
BuildRequires: perl(File::Find::Object)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl
BuildArch:  noarch

%description
rshasum calculates SHA-256 / SHA-512 / etc. digests for all files below
the current directory and then emits a total digest.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}
perl -i -lpe 's{^(#\!/usr/bin/perl).*}{$1} if $. == 1' %{buildroot}/%{_bindir}/*

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/App/*
%{_mandir}/*/*
%{_bindir}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.8.0-3.mga10
+ Revision: 2206460
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.8.0-2.mga9
+ Revision: 1813083
- Mageia 9 Mass Rebuild

* Tue Aug 18 2020 shlomif <shlomif> 0.8.0-1.mga8
+ Revision: 1614696
- New version 0.8.0

* Wed Apr 29 2020 shlomif <shlomif> 0.6.1-1.mga8
+ Revision: 1573154
- update to 0.6.1

* Sat Feb 15 2020 umeabot <umeabot> 0.2.0-2.mga8
+ Revision: 1523986
- Mageia 8 Mass Rebuild

* Wed Mar 20 2019 shlomif <shlomif> 0.2.0-1.mga7
+ Revision: 1379038
- add BRs
- New version 0.2.0

* Sat Mar 09 2019 shlomif <shlomif> 0.0.2-1.mga7
+ Revision: 1373342
- based on countdown

